Skip to content
CustomersCustomer

Complete customer registration

Validates the required fields, saves the customer's details and completes registration.

POST/v1/customer/registration
Requires an access token.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/customer/registration" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>" \  -H "Content-Type: application/json" \  -d '{    "firstName": "Andrea",    "lastName": "Ramos",    "dateOfBirth": "1990-04-12"  }'
{  "fields": {    "firstName": "hidden",    "lastName": "hidden",    "phone": "hidden",    "dateOfBirth": "hidden"  },  "firstName": "Andrea",  "lastName": "Ramos",  "phone": null,  "dateOfBirth": "1990-04-12",  "requiresCompletion": false}